Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## bea.jolt.pool.servlet
Class ServletSessionPoolManager

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--bea.jolt.pool.SessionPoolManager
                        |
                        +--bea.jolt.pool.servlet.ServletSessionPoolManager

public class ServletSessionPoolManager
extends SessionPoolManager

This class is a servlet-specific session pool manager. It manages a collection of one or more session pools of class `ServletSessionPool`. This class provides methods that are used to create both the `ServletSessionPoolManager` itself and the session pools that it contains. These methods are part of the administrative API for a session pool.

When session pools are being used with BEA WebLogic, configuration is done via the BEA WebLogic system properties file and the BEA WebLogic management console. A user does not need to access the adminstrative API directly. Refer to the BEA WebLogic Administrators Guide for information on configuring a `ServletSessionPoolManager` in a BEA WebLogic environment.

The `createSessionPool` method on this class creates a servlet-specific session pool of class ServletSessionPool. The `getSessionPool` method returns a servlet-specific session pool of class `ServletSessionPool`. The return from `getSessionPool` should be cast to `ServletSessionPool` to use the servlet-specific methods as follows:

     ServletSessionPoolManager mgr;
     ServletSessionPool pool;

     // ...Assume mgr is retrieved via JNDI.

     // Get the ServletSessionPool from the ServletSessionPoolManager
     pool = (ServletSessionPool) mgr.getSessionPool("mypool");

Refer to the base class `bea.jolt.pool.SessionPoolManager` for information about session pools in general.

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `SessionPoolManager.POOLMANAGER_NAME`, `SessionPoolManager.createSessionPool(java.lang.String[], java.lang.String[], int, int, bea.jolt.pool.UserInfo, java.lang.String)`, `SessionPoolManager.getSessionPool(java.lang.String)`, Serialized Form

Fields inherited from class bea.jolt.pool.SessionPoolManager
`POOLMANAGER_NAME`

Constructor Summary
`ServletSessionPoolManager()`

Method Summary
`protected SessionPool` | `newSessionPool(java.lang.String[] addrs, java.lang.String[] saddrs, int minCons, int maxCons, UserInfo usr, boolean keepAlive)` The session object factory for Servlet.

Methods inherited from class bea.jolt.pool.SessionPoolManager
`createSession, createSessionPool, done, getSessionPool, log, removeSessionPool, stopSessionPool, suspendSessionPool`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletSessionPoolManager

    public ServletSessionPoolManager()

Method Detail

### newSessionPool

    protected final SessionPool newSessionPool(java.lang.String[] addrs,
                                               java.lang.String[] saddrs,
                                               int minCons,
                                               int maxCons,
                                               UserInfo usr,
                                               boolean keepAlive)

  The session object factory for Servlet. It is for internal use only.

  Parameters:
    `addrs` - List of server addresss
    `saddrs` - List of secondary server addresss for failover
    `minCons` - Minimum number of connections
    `maxCons` - Maximum number of connections
    `usr` - User authentication information, or null
    `keepAlive` - true to keep the session alive
  Returns:
    A servlet-specific session pool
  Overrides:
    newSessionPool in class SessionPoolManager
  See Also:
    `SessionPool`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD